package ru.yandex.autotests.direct.fakebsproxy.beans.moderate.enums;

import com.google.gson.annotations.SerializedName;

/**
 * Created by buhter on 29/06/16.
 */
public enum ModerationObjectTypeEnum {
    @SerializedName("banner")
    BANNER("banner"),
    @SerializedName("callout")
    CALLOUT("callout"),
    @SerializedName("campaign")
    CAMPAIGN("campaign"),
    @SerializedName("contactinfo")
    CONTACTINFO("contactinfo"),
    @SerializedName("display_href")
    DISPLAY_HREF("display_href"),
    @SerializedName("image")
    IMAGE("image"),
    @SerializedName("image_ad")
    IMAGE_AD("image_ad"),
    @SerializedName("canvas")
    CANVAS("canvas"),
    @SerializedName("html5")
    HTML5("html5"),
    @SerializedName("video_addition")
    VIDEO_ADDITION("video_addition"),
    @SerializedName("mobile_content")
    MOBILE_CONTENT("mobile_content"),
    @SerializedName("phrases")
    PHRASES("phrases"),
    @SerializedName("sitelinks_set")
    SITELINKS_SET("sitelinks_set");

    private String value;

    ModerationObjectTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    @Override
    public String toString() {
        return value;
    }
}
